> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leokit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Balances

> Get wallet balances across chains



## OpenAPI

````yaml /api-reference/openapi.json POST /balances
openapi: 3.0.3
info:
  title: Leokit API
  version: 1.0.0
  description: API reference for Leokit
servers:
  - url: https://api.leokit.dev
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /balances:
    post:
      summary: Get wallet balances
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                required:
                  - address
                  - chain
                properties:
                  address:
                    type: string
                    description: Wallet address
                  chain:
                    type: string
                    description: Blockchain short name
            example:
              - address: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
                chain: ETH
              - address: bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh
                chain: BTC
      responses:
        '200':
          description: Wallet balances across multiple chains
          content:
            application/json:
              schema:
                type: object
                properties:
                  wallets:
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          type: string
                        balances:
                          type: array
                          items:
                            type: object
                            properties:
                              token_symbol:
                                type: string
                              price:
                                type: number
                              balance:
                                type: number
                              balance_usd:
                                type: number
                              icon:
                                type: string
                        explorer:
                          type: string
                        balance_usd:
                          type: number
              example:
                wallets:
                  - chain: ETH
                    balances:
                      - token_symbol: ETH
                        price: 3500.25
                        balance: 2.5
                        balance_usd: 8750.625
                        icon: https://static.leofinance.io/icons/eth.png
                    explorer: >-
                      https://etherscan.io/address/0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb
                    balance_usd: 8750.625
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      description: Generic error payload.
      properties:
        message:
          type: string
        code:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Api-Key
      description: 'Demo API-Key (Sandbox): 7037d2b3-9c76-4f62-b730-c544f7570fa4'

````